> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Create Team Member

> Add a new team member to the workspace.

## Create team member

`POST /api/team/members`

Add a new team member with specified role and permissions.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/team/members \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Jane Agent",
    "email": "jane@example.com",
    "password": "SecurePass123!",
    "permissions": ["inbox:view", "contacts:view"]
  }'
```

### Body parameters

**name** `string` *required*

Member display name.

**email** `string` *required*

Email address (used for login).

**password** `string` *required*

Initial password.

**role** `string` (default: team)

Member role.

**permissions** `string[]`

Permission scopes.

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 5,
    "name": "Jane Agent",
    "email": "jane@example.com",
    "role": "team",
    "status": "active",
    "permissions": ["inbox:view", "contacts:view"],
    "createdAt": "2026-01-15T12:00:00Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.